org.apache.tinkerpop.gremlin.driver.remote

## Class DriverRemoteTraversalSideEffects

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraversalSideEffects
  - - org.apache.tinkerpop.gremlin.driver.remote.DriverRemoteTraversalSideEffects

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, RemoteTraversalSideEffects, TraversalSideEffects

  Deprecated.
  As of release 3.3.8, not directly replaced, prefer use of `GraphTraversal.cap(String, String...)` to return the result as part of the traversal iteration.

      @Deprecated
      public class DriverRemoteTraversalSideEffects
      extends AbstractRemoteTraversalSideEffects

  Java driver implementation of `TraversalSideEffects`. This class is not thread safe.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalSideEffects

      `TraversalSideEffects.Exceptions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriverRemoteTraversalSideEffects(Client client, ResultSet rs)` Deprecated.
    `DriverRemoteTraversalSideEffects(Client client, UUID serverSideEffect, Host host, CompletableFuture<Void> ready)` Deprecated. As of release 3.4.0, replaced by `DriverRemoteTraversalSideEffects(Client, ResultSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated. If the "remote" that actually executed the traversal maintained resources that can be released, when the user is done with the side-effects, then this method can be used to trigger that release.
    `<V> V` | `get(String key)` Deprecated. Get the sideEffect associated with the provided key.
    `Set<String>` | `keys()` Deprecated. The keys of the sideEffect which includes registered `Supplier` keys.
    `Map<String,Object>` | `statusAttributes()` Deprecated. Gets the status attributes from the response from the server.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraversalSideEffects

      `add, clone, getReducer, getSackInitialValue, getSackMerger, getSackSplitter, getSupplier, mergeInto, register, registerIfAbsent, remove, set, setSack`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalSideEffects

      `exists, forEach, isEmpty`

- - ### Constructor Detail

    - #### DriverRemoteTraversalSideEffects

          @Deprecated
          public DriverRemoteTraversalSideEffects(Client client,
                                                              UUID serverSideEffect,
                                                              Host host,
                                                              CompletableFuture<Void> ready)

      Deprecated. As of release 3.4.0, replaced by `DriverRemoteTraversalSideEffects(Client, ResultSet)`

    - #### DriverRemoteTraversalSideEffects

          public DriverRemoteTraversalSideEffects(Client client,
                                                  ResultSet rs)

      Deprecated.

  - ### Method Detail

    - #### statusAttributes

          public Map<String,Object> statusAttributes()

      Deprecated.
      Gets the status attributes from the response from the server. This method will block until all results have been retrieved.

    - #### get

          public <V> V get(String key)
                    throws IllegalArgumentException

      Deprecated.
      Description copied from interface: `TraversalSideEffects`
      Get the sideEffect associated with the provided key. If the sideEffect contains an object for the key, return it. Else if the sideEffect has a registered `Supplier` for that key, generate the object, store the object in the sideEffects, and return it.
      Type Parameters:
        `V` - the type of the value to retrieve
      Parameters:
        `key` - the key to get the value for
      Returns:
        the value associated with key
      Throws:
        `IllegalArgumentException` - if the key does not reference an object or a registered supplier.

    - #### keys

          public Set<String> keys()

      Deprecated.
      Description copied from interface: `TraversalSideEffects`
      The keys of the sideEffect which includes registered `Supplier` keys. In essence, that which is possible to `TraversalSideEffects.get(String)`.
      Returns:
        the keys of the sideEffect

    - #### close

          public void close()
                     throws Exception

      Deprecated.
      Description copied from interface: `RemoteTraversalSideEffects`
      If the "remote" that actually executed the traversal maintained resources that can be released, when the user is done with the side-effects, then this method can be used to trigger that release.
      Throws:
        `Exception`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.